<?php
	include("../conectar_db.php");
	
	if(isset($_POST['user']) || isset($_POST['senha'])){
		if(strlen($_POST["user"]) == 0){
			echo "Preencha o usuario";
		}else if(strlen($_POST['senha']) == 0){
			echo "Preencha sua senha";
		}else{
			
			$usuario = $conn->real_escape_string($_POST['user']);
			$senha = $conn->real_escape_string($_POST['senha']);
			
			$sql_code = "SELECT * FROM login_cadastro WHERE usuario = '$usuario' AND senha = '$senha'";
			$sql_query = $conn->query($sql_code) or die("falha na execução do código SQL: ". $conn->error);
			
			$quantidade = $sql_query->num_rows;
			
			if($quantidade == 1){
				
				$dados_usuario = $sql_query->fetch_assoc();
				if(!isset($_SESSION)){
					session_start();
				}
				

				if($dados_usuario['nivel'] == 1){

					$_SESSION['codigo'] = $dados_usuario['id'];
					$_SESSION['nome'] = $dados_usuario['nome'];
					mysqli_close($conn);
					header("location: admin_oalmeida/tela_cadastro_imoveis.php");

				}else{

					if($dados_usuario['nivel'] == 2){

						$_SESSION['codigo'] = $dados_usuario['id'];
						$_SESSION['nome'] = $dados_usuario['nome'];
						mysqli_close($conn);
						header("location: admin_corretor/tela_configuracao_corretor.php");
					}else{ header("location: index.html");  }
				}
				
			}else{
				
				mysqli_close($conn);
				echo "Falha ao logar! Usuário ou senha incorretas";
			}
			
		}
	}

?>